export default {
  scrollBehavior(to: any, from: any, savedPosition: { x: number, y: number } | void): { x: number, y: number } | void {
    if (savedPosition) {
      // 如果存在保存的滚动位置，则滚动到该位置
      return savedPosition
    }
    else if (to.hash) {
      // 如果目标路由有hash值，则滚动到该hash对应的元素
      return { selector: to.hash }
    }
    else {
      // 否则，滚动到页面顶部
      return { x: 0, y: 0 }
    }
  },
}
